## org.eclipse.emf.codegen.action
Class AddJETNatureAction

    java.lang.Object
      org.eclipse.emf.codegen.action.AddJETNatureAction

All Implemented Interfaces:
  IActionDelegate

    public class AddJETNatureAction

extends java.lang.Object
implements IActionDelegate

Field Summary
`protected java.util.List<IProject>` `projects`

Constructor Summary
`AddJETNatureAction()`

Method Summary
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projects

    protected java.util.List<IProject> projects

Constructor Detail

### AddJETNatureAction

    public AddJETNatureAction()

Method Detail

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.